# eric4.QScintilla.Lexers.LexerTeX

Module implementing a Tex lexer with some additional methods.

### Global Attributes

None

### Classes

LexerTeX | Subclass to implement some additional lexer dependant methods.

### Functions

None

## LexerTeX

Subclass to implement some additional lexer dependant methods.

### Derived from

QsciLexerTeX, Lexer

### Class Attributes

None

### Class Methods

None

### Methods

LexerTeX | Constructor
isCommentStyle | Public method to check, if a style is a comment style.
isStringStyle | Public method to check, if a style is a string style.

### Static Methods

None

#### LexerTeX (Constructor)

LexerTeX(parent=None)

Constructor

parent
  parent widget of this lexer

#### LexerTeX.isCommentStyle

isCommentStyle(style)

Public method to check, if a style is a comment style.

Returns:
  flag indicating a comment style (boolean)

#### LexerTeX.isStringStyle

isStringStyle(style)

Public method to check, if a style is a string style.

Returns:
  flag indicating a string style (boolean)

Up